> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# docker-hub

> Docker Hub API

**Server path:** `/docker-hub` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                          | Description                                      |
| --------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| [`docker_hub_add_org_group_members`](#docker_hub_add_org_group_members)                       | Add a member to a group                          |
| [`docker_hub_add_org_member`](#docker_hub_add_org_member)                                     | Update org member (role)                         |
| [`docker_hub_audit_logs_list_audit_actions`](#docker_hub_audit_logs_list_audit_actions)       | List audit log actions                           |
| [`docker_hub_audit_logs_list_audit_logs`](#docker_hub_audit_logs_list_audit_logs)             | List audit log events                            |
| [`docker_hub_create_bulk_invites`](#docker_hub_create_bulk_invites)                           | Bulk create invites                              |
| [`docker_hub_create_org_access_token`](#docker_hub_create_org_access_token)                   | Create access token                              |
| [`docker_hub_create_org_group`](#docker_hub_create_org_group)                                 | Create a new group                               |
| [`docker_hub_create_personal_access_token`](#docker_hub_create_personal_access_token)         | Create personal access token                     |
| [`docker_hub_create_repository`](#docker_hub_create_repository)                               | Create a new repository                          |
| [`docker_hub_create_repository_group`](#docker_hub_create_repository_group)                   | Assign a group (Team) to a repository for access |
| [`docker_hub_delete_invite`](#docker_hub_delete_invite)                                       | Cancel an invite                                 |
| [`docker_hub_delete_org_access_token`](#docker_hub_delete_org_access_token)                   | Delete access token                              |
| [`docker_hub_delete_org_group`](#docker_hub_delete_org_group)                                 | Delete an organization group                     |
| [`docker_hub_delete_personal_access_token`](#docker_hub_delete_personal_access_token)         | Delete personal access token                     |
| [`docker_hub_export_org_members`](#docker_hub_export_org_members)                             | Export org members CSV                           |
| [`docker_hub_get_org_access_token`](#docker_hub_get_org_access_token)                         | Get access token                                 |
| [`docker_hub_get_org_group`](#docker_hub_get_org_group)                                       | Get a group of an organization                   |
| [`docker_hub_get_org_settings`](#docker_hub_get_org_settings)                                 | Get organization settings                        |
| [`docker_hub_get_personal_access_token`](#docker_hub_get_personal_access_token)               | Get personal access token                        |
| [`docker_hub_get_repository`](#docker_hub_get_repository)                                     | Get repository in a namespace                    |
| [`docker_hub_get_repository_tag`](#docker_hub_get_repository_tag)                             | Read repository tag                              |
| [`docker_hub_list_namespace_repositories`](#docker_hub_list_namespace_repositories)           | List repositories in a namespace                 |
| [`docker_hub_list_org_access_tokens`](#docker_hub_list_org_access_tokens)                     | List access tokens                               |
| [`docker_hub_list_org_group_members`](#docker_hub_list_org_group_members)                     | List members of a group                          |
| [`docker_hub_list_org_groups`](#docker_hub_list_org_groups)                                   | Get groups of an organization                    |
| [`docker_hub_list_org_invites`](#docker_hub_list_org_invites)                                 | List org invites                                 |
| [`docker_hub_list_org_members`](#docker_hub_list_org_members)                                 | List org members                                 |
| [`docker_hub_list_personal_access_tokens`](#docker_hub_list_personal_access_tokens)           | List personal access tokens                      |
| [`docker_hub_list_repository_tags`](#docker_hub_list_repository_tags)                         | List repository tags                             |
| [`docker_hub_remove_org_group_member`](#docker_hub_remove_org_group_member)                   | Remove a user from a group                       |
| [`docker_hub_remove_org_member`](#docker_hub_remove_org_member)                               | Remove member from org                           |
| [`docker_hub_replace_org_group`](#docker_hub_replace_org_group)                               | Update the details for an organization group     |
| [`docker_hub_resend_invite`](#docker_hub_resend_invite)                                       | Resend an invite                                 |
| [`docker_hub_update_org_access_token`](#docker_hub_update_org_access_token)                   | Update access token                              |
| [`docker_hub_update_org_group`](#docker_hub_update_org_group)                                 | Update some details for an organization group    |
| [`docker_hub_update_org_settings`](#docker_hub_update_org_settings)                           | Update organization settings                     |
| [`docker_hub_update_personal_access_token`](#docker_hub_update_personal_access_token)         | Update personal access token                     |
| [`docker_hub_update_repository_immutable_tags`](#docker_hub_update_repository_immutable_tags) | Update repository immutable tags                 |
| [`docker_hub_verify_repository_immutable_tags`](#docker_hub_verify_repository_immutable_tags) | Verify repository immutable tags                 |

***

## docker\_hub\_add\_org\_group\_members

Add a member to a group

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                   |
| ------------ | ------ | -------- | ------- | --------------------------------------------- |
| `org_name`   | string | Yes      | —       | Name of the organization (namespace).         |
| `group_name` | string | Yes      | —       | Name of the group (team) in the organization. |
| `member`     | string | Yes      | —       | The member value                              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "group_name": {
        "type": "string",
        "description": "Name of the group (team) in the organization."
      },
      "member": {
        "type": "string",
        "description": "The member value"
      }
    },
    "required": [
      "PCID",
      "org_name",
      "group_name",
      "member"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_add\_org\_member

Update org member (role)

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                              |
| ---------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `org_name` | string | Yes      | —       | Name of the organization (namespace).                    |
| `username` | string | Yes      | —       | Username, identifier for the user (namespace, DockerID). |
| `body`     | object | Yes      | —       | Request body                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "username": {
        "type": "string",
        "description": "Username, identifier for the user (namespace, DockerID)."
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "org_name",
      "username",
      "body"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_audit\_logs\_list\_audit\_actions

List audit log actions

**Parameters:**

| Parameter | Type   | Required | Default | Description                               |
| --------- | ------ | -------- | ------- | ----------------------------------------- |
| `account` | string | Yes      | —       | Namespace to query audit log actions for. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "account": {
        "type": "string",
        "description": "Namespace to query audit log actions for."
      }
    },
    "required": [
      "PCID",
      "account"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_audit\_logs\_list\_audit\_logs

List audit log events

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                                                                                                                                                                                        |
| ----------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `account`   | string  | Yes      | —       | Namespace to query audit logs for.                                                                                                                                                                                                                                 |
| `action`    | string  | No       | —       | action name one of \["repo.tag.push", ...]. Optional parameter to filter specific audit log actions.                                                                                                                                                               |
| `name`      | string  | No       | —       | name. Optional parameter to filter audit log events to a specific name. For repository events, this is the name of the repository. For organization events, this is the name of the organization. For team member events, this is the username of the team member. |
| `actor`     | string  | No       | —       | actor name. Optional parameter to filter audit log events to the specific user who triggered the event.                                                                                                                                                            |
| `from`      | string  | No       | —       | Start of the time window you wish to query audit events for.                                                                                                                                                                                                       |
| `to`        | string  | No       | —       | End of the time window you wish to query audit events for.                                                                                                                                                                                                         |
| `page`      | integer | No       | —       | page - specify page number. Page number to get.                                                                                                                                                                                                                    |
| `page_size` | integer | No       | —       | page\_size - specify page size. Number of events to return per page.                                                                                                                                                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "account": {
        "type": "string",
        "description": "Namespace to query audit logs for."
      },
      "action": {
        "type": "string",
        "description": "action name one of [\"repo.tag.push\", ...]. Optional parameter to filter specific audit log actions."
      },
      "name": {
        "type": "string",
        "description": "name. Optional parameter to filter audit log events to a specific name. For repository events, this is the name of the repository. For organization events, this is the name of the organization. For team member events, this is the username of the team member."
      },
      "actor": {
        "type": "string",
        "description": "actor name. Optional parameter to filter audit log events to the specific user who triggered the event."
      },
      "from": {
        "type": "string",
        "description": "Start of the time window you wish to query audit events for."
      },
      "to": {
        "type": "string",
        "description": "End of the time window you wish to query audit events for."
      },
      "page": {
        "type": "integer",
        "description": "page - specify page number. Page number to get."
      },
      "page_size": {
        "type": "integer",
        "description": "page_size - specify page size. Number of events to return per page."
      }
    },
    "required": [
      "PCID",
      "account"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_create\_bulk\_invites

Bulk create invites

**Parameters:**

| Parameter                    | Type      | Required | Default | Description                                                                                    |
| ---------------------------- | --------- | -------- | ------- | ---------------------------------------------------------------------------------------------- |
| `X-Analytics-Client-Feature` | string    | No       | —       | Optional string that indicates the feature used to submit the bulk invites (e.g.'file', 'web') |
| `dry_run`                    | boolean   | No       | —       | Optional, run through validation but don't actually change data.                               |
| `invitees`                   | string\[] | Yes      | —       | list of invitees emails or Docker Ids                                                          |
| `org`                        | string    | Yes      | —       | organization name                                                                              |
| `role`                       | string    | No       | —       | role for invitees                                                                              |
| `team`                       | string    | No       | —       | team name                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Analytics-Client-Feature": {
        "type": "string",
        "description": "Optional string that indicates the feature used to submit the bulk invites (e.g.'file', 'web')"
      },
      "dry_run": {
        "type": "boolean",
        "description": "Optional, run through validation but don't actually change data."
      },
      "invitees": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "list of invitees emails or Docker Ids"
      },
      "org": {
        "type": "string",
        "description": "organization name"
      },
      "role": {
        "type": "string",
        "description": "role for invitees"
      },
      "team": {
        "type": "string",
        "description": "team name"
      }
    },
    "required": [
      "PCID",
      "invitees",
      "org"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_create\_org\_access\_token

Create access token

**Parameters:**

| Parameter     | Type      | Required | Default | Description                        |                               |
| ------------- | --------- | -------- | ------- | ---------------------------------- | ----------------------------- |
| `name`        | string    | Yes      | —       | The name                           |                               |
| `description` | string    | No       | —       | Description of the access token    |                               |
| `expires_at`  | string    | null     | No      | —                                  | Expiration date for the token |
| `label`       | string    | No       | —       | Label for the access token         |                               |
| `resources`   | object\[] | No       | —       | Resources this token has access to |                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "name": {
        "type": "string",
        "description": "The name"
      },
      "description": {
        "type": "string",
        "description": "Description of the access token"
      },
      "expires_at": {
        "type": [
          "string",
          "null"
        ],
        "description": "Expiration date for the token"
      },
      "label": {
        "type": "string",
        "description": "Label for the access token"
      },
      "resources": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "enum": [
                "TYPE_REPO",
                "TYPE_ORG"
              ],
              "description": "The type of resource"
            },
            "path": {
              "type": "string",
              "description": "The path of the resource. The format of this will change depending on the type of resource.  For TYPE_REPO resources: - Must be an existing repository name (e.g., \"myorg/myrepo\") - Can use glob patterns (e.g., \"myorg/*\" for all repositories in the organization) - Use \"*/*/public\" to reference all public repositories"
            },
            "scopes": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "The scopes this token has access to"
            }
          }
        },
        "description": "Resources this token has access to"
      }
    },
    "required": [
      "PCID",
      "name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_create\_org\_group

Create a new group

**Parameters:**

| Parameter  | Type   | Required | Default | Description                           |
| ---------- | ------ | -------- | ------- | ------------------------------------- |
| `org_name` | string | Yes      | —       | Name of the organization (namespace). |
| `body`     | object | No       | —       | Request body                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "org_name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_create\_personal\_access\_token

Create personal access token

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                                                                   |
| ------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------- |
| `expires_at`  | string    | No       | —       | Optional expiration date for the token. If omitted, the token will remain valid indefinitely. |
| `scopes`      | string\[] | Yes      | —       | Valid scopes: "repo:admin", "repo:write", "repo:read", "repo:public\_read"                    |
| `token_label` | string    | Yes      | —       | Friendly name for you to identify the token.                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expires_at": {
        "type": "string",
        "description": "Optional expiration date for the token. If omitted, the token will remain valid indefinitely."
      },
      "scopes": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Valid scopes: \"repo:admin\", \"repo:write\", \"repo:read\", \"repo:public_read\""
      },
      "token_label": {
        "type": "string",
        "description": "Friendly name for you to identify the token."
      }
    },
    "required": [
      "PCID",
      "scopes",
      "token_label"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_create\_repository

Create a new repository

**Parameters:**

| Parameter          | Type    | Required | Default | Description                                                                                                                                                                         |
| ------------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `namespace`        | string  | Yes      | —       | The namespace value                                                                                                                                                                 |
| `description`      | string  | No       | —       | Short description of the repository                                                                                                                                                 |
| `full_description` | string  | No       | —       | Detailed description of the repository                                                                                                                                              |
| `is_private`       | boolean | No       | —       | Whether the repository should be private                                                                                                                                            |
| `name`             | string  | Yes      | —       | The name of the repository. Must be 2-255 characters long and may only include  alphanumeric characters, periods (.), underscores (\_), or hyphens (-).  Letters must be lowercase. |
| `registry`         | string  | No       | —       | The registry where the repository will be hosted                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "namespace": {
        "type": "string",
        "description": "The namespace value"
      },
      "description": {
        "type": "string",
        "description": "Short description of the repository"
      },
      "full_description": {
        "type": "string",
        "description": "Detailed description of the repository"
      },
      "is_private": {
        "type": "boolean",
        "description": "Whether the repository should be private"
      },
      "name": {
        "type": "string",
        "description": "The name of the repository. Must be 2-255 characters long and may only include  alphanumeric characters, periods (.), underscores (_), or hyphens (-).  Letters must be lowercase."
      },
      "registry": {
        "type": "string",
        "description": "The registry where the repository will be hosted"
      }
    },
    "required": [
      "PCID",
      "namespace",
      "name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_create\_repository\_group

Assign a group (Team) to a repository for access

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                 |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `namespace`  | string  | Yes      | —       | The namespace value                                                                                                                                                                                         |
| `repository` | string  | Yes      | —       | The repository value                                                                                                                                                                                        |
| `group_id`   | integer | Yes      | —       | The ID of the organization group to grant access to                                                                                                                                                         |
| `permission` | string  | Yes      | —       | The permission level to grant to the group: - read: Can view and pull from the repository - write: Can view, pull, and push to the repository - admin: Can view, pull, push, and manage repository settings |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "namespace": {
        "type": "string",
        "description": "The namespace value"
      },
      "repository": {
        "type": "string",
        "description": "The repository value"
      },
      "group_id": {
        "type": "integer",
        "description": "The ID of the organization group to grant access to"
      },
      "permission": {
        "type": "string",
        "description": "The permission level to grant to the group: - read: Can view and pull from the repository - write: Can view, pull, and push to the repository - admin: Can view, pull, push, and manage repository settings",
        "enum": [
          "read",
          "write",
          "admin"
        ]
      }
    },
    "required": [
      "PCID",
      "namespace",
      "repository",
      "group_id",
      "permission"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_delete\_invite

Cancel an invite

**Parameters:**

| Parameter | Type   | Required | Default | Description  |
| --------- | ------ | -------- | ------- | ------------ |
| `id`      | string | Yes      | —       | The id value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The id value"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_delete\_org\_access\_token

Delete access token

**Parameters:**

| Parameter         | Type   | Required | Default | Description                            |
| ----------------- | ------ | -------- | ------- | -------------------------------------- |
| `org_name`        | string | Yes      | —       | Name of the organization (namespace).  |
| `access_token_id` | string | Yes      | —       | The ID of the access token to retrieve |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "access_token_id": {
        "type": "string",
        "description": "The ID of the access token to retrieve"
      }
    },
    "required": [
      "PCID",
      "org_name",
      "access_token_id"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_delete\_org\_group

Delete an organization group

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                   |
| ------------ | ------ | -------- | ------- | --------------------------------------------- |
| `org_name`   | string | Yes      | —       | Name of the organization (namespace).         |
| `group_name` | string | Yes      | —       | Name of the group (team) in the organization. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "group_name": {
        "type": "string",
        "description": "Name of the group (team) in the organization."
      }
    },
    "required": [
      "PCID",
      "org_name",
      "group_name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_delete\_personal\_access\_token

Delete personal access token

**Parameters:**

| Parameter | Type   | Required | Default | Description    |
| --------- | ------ | -------- | ------- | -------------- |
| `uuid`    | string | Yes      | —       | The uuid value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "uuid": {
        "type": "string",
        "description": "The uuid value"
      }
    },
    "required": [
      "PCID",
      "uuid"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_export\_org\_members

Export org members CSV

**Parameters:**

| Parameter  | Type   | Required | Default | Description                           |
| ---------- | ------ | -------- | ------- | ------------------------------------- |
| `org_name` | string | Yes      | —       | Name of the organization (namespace). |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      }
    },
    "required": [
      "PCID",
      "org_name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_get\_org\_access\_token

Get access token

**Parameters:**

| Parameter         | Type   | Required | Default | Description                            |
| ----------------- | ------ | -------- | ------- | -------------------------------------- |
| `org_name`        | string | Yes      | —       | Name of the organization (namespace).  |
| `access_token_id` | string | Yes      | —       | The ID of the access token to retrieve |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "access_token_id": {
        "type": "string",
        "description": "The ID of the access token to retrieve"
      }
    },
    "required": [
      "PCID",
      "org_name",
      "access_token_id"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_get\_org\_group

Get a group of an organization

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                   |
| ------------ | ------ | -------- | ------- | --------------------------------------------- |
| `org_name`   | string | Yes      | —       | Name of the organization (namespace).         |
| `group_name` | string | Yes      | —       | Name of the group (team) in the organization. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "group_name": {
        "type": "string",
        "description": "Name of the group (team) in the organization."
      }
    },
    "required": [
      "PCID",
      "org_name",
      "group_name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_get\_org\_settings

Get organization settings

**Parameters:**

| Parameter | Type   | Required | Default | Description               |
| --------- | ------ | -------- | ------- | ------------------------- |
| `name`    | string | Yes      | —       | Name of the organization. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "name": {
        "type": "string",
        "description": "Name of the organization."
      }
    },
    "required": [
      "PCID",
      "name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_get\_personal\_access\_token

Get personal access token

**Parameters:**

| Parameter | Type   | Required | Default | Description    |
| --------- | ------ | -------- | ------- | -------------- |
| `uuid`    | string | Yes      | —       | The uuid value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "uuid": {
        "type": "string",
        "description": "The uuid value"
      }
    },
    "required": [
      "PCID",
      "uuid"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_get\_repository

Get repository in a namespace

**Parameters:**

| Parameter    | Type   | Required | Default | Description          |
| ------------ | ------ | -------- | ------- | -------------------- |
| `namespace`  | string | Yes      | —       | The namespace value  |
| `repository` | string | Yes      | —       | The repository value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "namespace": {
        "type": "string",
        "description": "The namespace value"
      },
      "repository": {
        "type": "string",
        "description": "The repository value"
      }
    },
    "required": [
      "PCID",
      "namespace",
      "repository"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_get\_repository\_tag

Read repository tag

**Parameters:**

| Parameter    | Type   | Required | Default | Description          |
| ------------ | ------ | -------- | ------- | -------------------- |
| `namespace`  | string | Yes      | —       | The namespace value  |
| `repository` | string | Yes      | —       | The repository value |
| `tag`        | string | Yes      | —       | The tag value        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "namespace": {
        "type": "string",
        "description": "The namespace value"
      },
      "repository": {
        "type": "string",
        "description": "The repository value"
      },
      "tag": {
        "type": "string",
        "description": "The tag value"
      }
    },
    "required": [
      "PCID",
      "namespace",
      "repository",
      "tag"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_list\_namespace\_repositories

List repositories in a namespace

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                       |
| ----------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `namespace` | string  | Yes      | —       | The namespace value                                                                                                                                                                                                                                                                                               |
| `page`      | integer | No       | —       | Page number to get. Defaults to 1.                                                                                                                                                                                                                                                                                |
| `page_size` | integer | No       | —       | Number of repositories to get per page. Defaults to 10. Max of 100.                                                                                                                                                                                                                                               |
| `name`      | string  | No       | —       | Filter repositories by name (partial match).                                                                                                                                                                                                                                                                      |
| `ordering`  | string  | No       | —       | Order repositories by the specified field. Prefix with '-' for descending order. Available options: - `name` / `-name`: Repository name (ascending/descending) - `last_updated` / `-last_updated`: Last update time (ascending/descending) - `pull_count` / `-pull_count`: Number of pulls (ascending/descending) |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "namespace": {
        "type": "string",
        "description": "The namespace value"
      },
      "page": {
        "type": "integer",
        "description": "Page number to get. Defaults to 1."
      },
      "page_size": {
        "type": "integer",
        "description": "Number of repositories to get per page. Defaults to 10. Max of 100."
      },
      "name": {
        "type": "string",
        "description": "Filter repositories by name (partial match)."
      },
      "ordering": {
        "type": "string",
        "description": "Order repositories by the specified field. Prefix with '-' for descending order. Available options: - `name` / `-name`: Repository name (ascending/descending) - `last_updated` / `-last_updated`: Last update time (ascending/descending) - `pull_count` / `-pull_count`: Number of pulls (ascending/descending)",
        "enum": [
          "name",
          "-name",
          "last_updated",
          "-last_updated",
          "pull_count",
          "-pull_count"
        ]
      }
    },
    "required": [
      "PCID",
      "namespace"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_list\_org\_access\_tokens

List access tokens

**Parameters:**

| Parameter   | Type   | Required | Default | Description                |
| ----------- | ------ | -------- | ------- | -------------------------- |
| `page`      | number | No       | —       | Page number for pagination |
| `page_size` | number | No       | —       | Number of results per page |
| `name`      | string | Yes      | —       | The name                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "number",
        "description": "Page number for pagination"
      },
      "page_size": {
        "type": "number",
        "description": "Number of results per page"
      },
      "name": {
        "type": "string",
        "description": "The name"
      }
    },
    "required": [
      "PCID",
      "name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_list\_org\_group\_members

List members of a group

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                      |
| ------------ | ------- | -------- | ------- | ------------------------------------------------ |
| `org_name`   | string  | Yes      | —       | Name of the organization (namespace).            |
| `group_name` | string  | Yes      | —       | Name of the group (team) in the organization.    |
| `page`       | integer | No       | —       | Page number (starts on 1).                       |
| `page_size`  | integer | No       | —       | Number of items (rows) per page.                 |
| `search`     | string  | No       | —       | Search members by username, full\_name or email. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "group_name": {
        "type": "string",
        "description": "Name of the group (team) in the organization."
      },
      "page": {
        "type": "integer",
        "description": "Page number (starts on 1)."
      },
      "page_size": {
        "type": "integer",
        "description": "Number of items (rows) per page."
      },
      "search": {
        "type": "string",
        "description": "Search members by username, full_name or email."
      }
    },
    "required": [
      "PCID",
      "org_name",
      "group_name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_list\_org\_groups

Get groups of an organization

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                |
| ----------- | ------- | -------- | ------- | ---------------------------------------------------------- |
| `org_name`  | string  | Yes      | —       | Name of the organization (namespace).                      |
| `page`      | integer | No       | —       | Page number (starts on 1).                                 |
| `page_size` | integer | No       | —       | Number of items (rows) per page.                           |
| `username`  | string  | No       | —       | Get groups for the specified username in the organization. |
| `search`    | string  | No       | —       | Get groups for the specified group in the organization.    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "page": {
        "type": "integer",
        "description": "Page number (starts on 1)."
      },
      "page_size": {
        "type": "integer",
        "description": "Number of items (rows) per page."
      },
      "username": {
        "type": "string",
        "description": "Get groups for the specified username in the organization."
      },
      "search": {
        "type": "string",
        "description": "Get groups for the specified group in the organization."
      }
    },
    "required": [
      "PCID",
      "org_name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_list\_org\_invites

List org invites

**Parameters:**

| Parameter  | Type   | Required | Default | Description                           |
| ---------- | ------ | -------- | ------- | ------------------------------------- |
| `org_name` | string | Yes      | —       | Name of the organization (namespace). |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      }
    },
    "required": [
      "PCID",
      "org_name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_list\_org\_members

List org members

**Parameters:**

| Parameter   | Type    | Required | Default | Description                           |
| ----------- | ------- | -------- | ------- | ------------------------------------- |
| `org_name`  | string  | Yes      | —       | Name of the organization (namespace). |
| `search`    | string  | No       | —       | Search term.                          |
| `page`      | integer | No       | —       | Page number (starts on 1).            |
| `page_size` | integer | No       | —       | Number of items (rows) per page.      |
| `invites`   | boolean | No       | —       | Include invites in the response.      |
| `type`      | string  | No       | —       | The type value                        |
| `role`      | string  | No       | —       | The role value                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "search": {
        "type": "string",
        "description": "Search term."
      },
      "page": {
        "type": "integer",
        "description": "Page number (starts on 1)."
      },
      "page_size": {
        "type": "integer",
        "description": "Number of items (rows) per page."
      },
      "invites": {
        "type": "boolean",
        "description": "Include invites in the response."
      },
      "type": {
        "type": "string",
        "description": "The type value",
        "enum": [
          "all",
          "invitee",
          "member"
        ]
      },
      "role": {
        "type": "string",
        "description": "The role value",
        "enum": [
          "owner",
          "editor",
          "member"
        ]
      }
    },
    "required": [
      "PCID",
      "org_name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_list\_personal\_access\_tokens

List personal access tokens

**Parameters:**

| Parameter   | Type   | Required | Default | Description                |
| ----------- | ------ | -------- | ------- | -------------------------- |
| `page`      | number | No       | —       | Page number for pagination |
| `page_size` | number | No       | —       | Number of results per page |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page": {
        "type": "number",
        "description": "Page number for pagination"
      },
      "page_size": {
        "type": "number",
        "description": "Number of results per page"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_list\_repository\_tags

List repository tags

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                  |
| ------------ | ------- | -------- | ------- | ------------------------------------------------------------ |
| `namespace`  | string  | Yes      | —       | The namespace value                                          |
| `repository` | string  | Yes      | —       | The repository value                                         |
| `page`       | integer | No       | —       | Page number to get. Defaults to 1.                           |
| `page_size`  | integer | No       | —       | Number of items to get per page. Defaults to 10. Max of 100. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "namespace": {
        "type": "string",
        "description": "The namespace value"
      },
      "repository": {
        "type": "string",
        "description": "The repository value"
      },
      "page": {
        "type": "integer",
        "description": "Page number to get. Defaults to 1."
      },
      "page_size": {
        "type": "integer",
        "description": "Number of items to get per page. Defaults to 10. Max of 100."
      }
    },
    "required": [
      "PCID",
      "namespace",
      "repository"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_remove\_org\_group\_member

Remove a user from a group

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                              |
| ------------ | ------ | -------- | ------- | -------------------------------------------------------- |
| `org_name`   | string | Yes      | —       | Name of the organization (namespace).                    |
| `group_name` | string | Yes      | —       | Name of the group (team) in the organization.            |
| `username`   | string | Yes      | —       | Username, identifier for the user (namespace, DockerID). |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "group_name": {
        "type": "string",
        "description": "Name of the group (team) in the organization."
      },
      "username": {
        "type": "string",
        "description": "Username, identifier for the user (namespace, DockerID)."
      }
    },
    "required": [
      "PCID",
      "org_name",
      "group_name",
      "username"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_remove\_org\_member

Remove member from org

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                              |
| ---------- | ------ | -------- | ------- | -------------------------------------------------------- |
| `org_name` | string | Yes      | —       | Name of the organization (namespace).                    |
| `username` | string | Yes      | —       | Username, identifier for the user (namespace, DockerID). |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "username": {
        "type": "string",
        "description": "Username, identifier for the user (namespace, DockerID)."
      }
    },
    "required": [
      "PCID",
      "org_name",
      "username"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_replace\_org\_group

Update the details for an organization group

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                   |
| ------------ | ------ | -------- | ------- | --------------------------------------------- |
| `org_name`   | string | Yes      | —       | Name of the organization (namespace).         |
| `group_name` | string | Yes      | —       | Name of the group (team) in the organization. |
| `body`       | object | No       | —       | Request body                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "group_name": {
        "type": "string",
        "description": "Name of the group (team) in the organization."
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "org_name",
      "group_name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_resend\_invite

Resend an invite

**Parameters:**

| Parameter | Type   | Required | Default | Description  |
| --------- | ------ | -------- | ------- | ------------ |
| `id`      | string | Yes      | —       | The id value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "string",
        "description": "The id value"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_update\_org\_access\_token

Update access token

**Parameters:**

| Parameter         | Type      | Required | Default | Description                            |
| ----------------- | --------- | -------- | ------- | -------------------------------------- |
| `org_name`        | string    | Yes      | —       | Name of the organization (namespace).  |
| `access_token_id` | string    | Yes      | —       | The ID of the access token to retrieve |
| `description`     | string    | No       | —       | Description of the access token        |
| `is_active`       | boolean   | No       | —       | Whether the token is active            |
| `label`           | string    | No       | —       | Label for the access token             |
| `resources`       | object\[] | No       | —       | Resources this token has access to     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "access_token_id": {
        "type": "string",
        "description": "The ID of the access token to retrieve"
      },
      "description": {
        "type": "string",
        "description": "Description of the access token"
      },
      "is_active": {
        "type": "boolean",
        "description": "Whether the token is active"
      },
      "label": {
        "type": "string",
        "description": "Label for the access token"
      },
      "resources": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "enum": [
                "TYPE_REPO",
                "TYPE_ORG"
              ],
              "description": "The type of resource"
            },
            "path": {
              "type": "string",
              "description": "The path of the resource. The format of this will change depending on the type of resource.  For TYPE_REPO resources: - Must be an existing repository name (e.g., \"myorg/myrepo\") - Can use glob patterns (e.g., \"myorg/*\" for all repositories in the organization) - Use \"*/*/public\" to reference all public repositories"
            },
            "scopes": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "The scopes this token has access to"
            }
          }
        },
        "description": "Resources this token has access to"
      }
    },
    "required": [
      "PCID",
      "org_name",
      "access_token_id"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_update\_org\_group

Update some details for an organization group

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                   |
| ------------ | ------ | -------- | ------- | --------------------------------------------- |
| `org_name`   | string | Yes      | —       | Name of the organization (namespace).         |
| `group_name` | string | Yes      | —       | Name of the group (team) in the organization. |
| `body`       | object | No       | —       | Request body                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "org_name": {
        "type": "string",
        "description": "Name of the organization (namespace)."
      },
      "group_name": {
        "type": "string",
        "description": "Name of the group (team) in the organization."
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "org_name",
      "group_name"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_update\_org\_settings

Update organization settings

**Parameters:**

| Parameter | Type   | Required | Default | Description               |
| --------- | ------ | -------- | ------- | ------------------------- |
| `name`    | string | Yes      | —       | Name of the organization. |
| `body`    | object | Yes      | —       | Request body              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "name": {
        "type": "string",
        "description": "Name of the organization."
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "name",
      "body"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_update\_personal\_access\_token

Update personal access token

**Parameters:**

| Parameter     | Type    | Required | Default | Description    |
| ------------- | ------- | -------- | ------- | -------------- |
| `uuid`        | string  | Yes      | —       | The uuid value |
| `is_active`   | boolean | No       | —       | Is Active      |
| `token_label` | string  | No       | —       | Token Label    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "uuid": {
        "type": "string",
        "description": "The uuid value"
      },
      "is_active": {
        "type": "boolean",
        "description": "Is Active"
      },
      "token_label": {
        "type": "string",
        "description": "Token Label"
      }
    },
    "required": [
      "PCID",
      "uuid"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_update\_repository\_immutable\_tags

Update repository immutable tags

**Parameters:**

| Parameter              | Type      | Required | Default | Description                        |
| ---------------------- | --------- | -------- | ------- | ---------------------------------- |
| `namespace`            | string    | Yes      | —       | The namespace value                |
| `repository`           | string    | Yes      | —       | The repository value               |
| `immutable_tags`       | boolean   | Yes      | —       | Whether immutable tags are enabled |
| `immutable_tags_rules` | string\[] | Yes      | —       | List of immutable tag rules        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "namespace": {
        "type": "string",
        "description": "The namespace value"
      },
      "repository": {
        "type": "string",
        "description": "The repository value"
      },
      "immutable_tags": {
        "type": "boolean",
        "description": "Whether immutable tags are enabled"
      },
      "immutable_tags_rules": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "List of immutable tag rules"
      }
    },
    "required": [
      "PCID",
      "namespace",
      "repository",
      "immutable_tags",
      "immutable_tags_rules"
    ]
  }
  ```
</Expandable>

***

## docker\_hub\_verify\_repository\_immutable\_tags

Verify repository immutable tags

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                                                                                                                     |
| ------------ | ------ | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| `namespace`  | string | Yes      | —       | The namespace value                                                                                                                             |
| `repository` | string | Yes      | —       | The repository value                                                                                                                            |
| `regex`      | string | Yes      | —       | Immutable tags rule regex pattern. Must match format: \[a-z0-9]+((\\.\|*\|\_\_\|-+)\[a-z0-9]+)\*(\\/\[a-z0-9]+((\\.\|*\|\_\_\|-+)\[a-z0-9]+)*)* |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "namespace": {
        "type": "string",
        "description": "The namespace value"
      },
      "repository": {
        "type": "string",
        "description": "The repository value"
      },
      "regex": {
        "type": "string",
        "description": "Immutable tags rule regex pattern. Must match format: [a-z0-9]+((\\\\.|_|__|-+)[a-z0-9]+)*(\\\\/[a-z0-9]+((\\\\.|_|__|-+)[a-z0-9]+)*)*"
      }
    },
    "required": [
      "PCID",
      "namespace",
      "repository",
      "regex"
    ]
  }
  ```
</Expandable>
